> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/category.md).

# Category

## Get Root Categories (Directories)

> Retrieves the root (ROOT) categories by type.\
> \
> \### Types\
> \- FURNITURE : Furniture\
> \- FURNITURE\_SET : Furniture Set\
> \- FINISH : Finish\
> \- TEXTURE : Texture\
> \- PROJECT : Project\
> \- USER : User\
> \- COMPONENT : Component\
> \- PARAMETRIC\_SALE : Parametric Product\
> \- FILE : File

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Category"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/categories":{"get":{"tags":["Category"],"summary":"Get Root Categories (Directories)","description":"Retrieves the root (ROOT) categories by type.\n\n### Types\n- FURNITURE : Furniture\n- FURNITURE_SET : Furniture Set\n- FINISH : Finish\n- TEXTURE : Texture\n- PROJECT : Project\n- USER : User\n- COMPONENT : Component\n- PARAMETRIC_SALE : Parametric Product\n- FILE : File","operationId":"getRootCategories","parameters":[{"name":"categoryType","in":"query","description":"Category Type","required":true,"schema":{"type":"string","description":"Category Type","enum":["FURNITURE","FURNITURE_SET","FINISH","TEXTURE","PROJECT","USER","COMPONENT","PARAMETRIC_SALE","FILE"]}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```

## Get Category

> Retrieves category information and the subcategory list using the category ID.\
> \
> \### Use Cases\
> \- Retrieve detailed information of a specific category\
> \- Check subcategory list\
> \- Explore category hierarchy structure

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Category"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/categories/{id}":{"get":{"tags":["Category"],"summary":"Get Category","description":"Retrieves category information and the subcategory list using the category ID.\n\n### Use Cases\n- Retrieve detailed information of a specific category\n- Check subcategory list\n- Explore category hierarchy structure","operationId":"getCategory","parameters":[{"name":"id","in":"path","description":"Category ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```
